wlp3s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)

Bug #1720930 reported by Dylan Borg on 2017-10-03
262
This bug affects 52 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Kai-Heng Feng
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned
plymouth (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

===SRU Justification===
[Impact]
Message "wlp3s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from
hardware (-22)" showed when the system shutdown.

[Test]
Users confirmed the patch fixes their issue.

[Regression Potential]
Low. It's in mainline Linux, limited to iwlwifi, trivial change.

Sara Sharon (1):
  iwlwifi: mvm: fix "failed to remove key" message

==Original Bug Report===
When running artful on a new Zenbook Pro (uses Intel Wireless 8265), I get a hung shutdown with the message "wlp3s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)". The kernel is also trying to load firmware versions that do not exist on the system i.e. versions 33 then 32 of the firmware. It then seems to load version 31 of the firmware. Wireless features seem to work normally. The issues are just at shutdown time.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-12-generic 4.13.0-12.13 [modified: boot/vmlinuz-4.13.0-12-generic]
ProcVersionSignature: Ubuntu 4.13.0-12.13-generic 4.13.3
Uname: Linux 4.13.0-12-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.7-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dylan 1621 F.... pulseaudio
CurrentDesktop: GNOME
Date: Tue Oct 3 06:12:13 2017
HibernationDevice: RESUME=UUID=2b6908b4-d463-4170-9be5-556145c71a0e
InstallationDate: Installed on 2017-10-02 (0 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Beta amd64 (20171002)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 8087:0a2b Intel Corp.
 Bus 001 Device 002: ID 13d3:5755 IMC Networks
 Bus 001 Device 004: ID 04f3:0903 Elan Microelectronics Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX550VE
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-12-generic root=UUID=aa3dfd29-caf8-4882-906e-1b31b672d2c2 ro quiet splash threadirqs acpi_osi=! acpi_osi=Linux acpi_backlight=native vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-12-generic N/A
 linux-backports-modules-4.13.0-12-generic N/A
 linux-firmware 1.168
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/05/2017
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX550VE.300
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX550VE
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX550VE.300:bd06/05/2017:svnASUSTeKCOMPUTERINC.:pnUX550VE:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX550VE:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: UX
dmi.product.name: UX550VE
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Dylan Borg (borgdylan) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14-rc3

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: kernel-da-key
Dylan Borg (borgdylan) wrote :

Thanks! I will test the mainline kernel and report back. I had heard that this did not use to happen with 4.12, so it might be a regression 4.13.

Dylan Borg (borgdylan) wrote :

I am having issues in the dkms stage. It is taking long to run.

Dylan Borg (borgdylan) wrote :

It seems that the nvidia driver is not yet compatible with 4.14. O cannot test the upstream kernel until that happens.

Dylan Borg (borgdylan) wrote :

I sent an e-mail to the graphics drivers team, still waiting for a response.

Dylan Borg (borgdylan) wrote :

The nvidia driver issue is because of legal licensing reasons. Cannot test for now.

Dylan Borg (borgdylan) wrote :

The DKMS isues should be fixable by disabling "AMD Secure Memory Encryption" i.e. SME support in the 4.14 kernel.

Dylan Borg (borgdylan) wrote :

The weird hang may not be related to the iwlwifi module after all. When running the vanilla 4.13.5 kernel from the mainline builds done at canonical I can observe normal shutdowns. The wifi related message is still there but the machine turns off normally!

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
Dylan Borg (borgdylan) wrote :

Please move artful from the 4.13.4 to the 4.13.5 kernel.

Dylan Borg (borgdylan) wrote :

@jsalisbury I can see that this issue remains fixed with 4.13.6 and 4.13.8 (did not test 4.13.7).

mohamed (habi30002009) wrote :

hi i am having the same message
it hangs on restart and shutdown
i am using asus G551VW
and Ubuntu 17.10 fresh install

mohamed (habi30002009) wrote :

hi, i solved my problem by adding the latest driver for my wifi device to /lib/firmware
from Intel website it's named "iwlwifi-7265-ucode-25.30.14.0"

Murat Ursavas (murat-ursavas) wrote :

Hi,

I've copied the same file mentioned by Mohamed and it worked for that particular session, despite getting the same message on shutdown. But after reboot the stall issue continued to persist. Other problem is, this also effects saving other information on shutdown, like backlight level.

Murat Ursavas (murat-ursavas) wrote :

Seems like 4.13.8 kernel has a fix. I had a proper reboot right after installing the new kernel. After that I'm still seeing the same shutdown message but laptop is able to reboot properly without a stall.

Although this has caused other weird boot error messages which I have to take a look.

Gilbert Standen (gstanden) wrote :

Workaround #1:

I can confirm that on Lenovo P70 Mobile Workstation running Artful Aardvark 17.10 an upgrade to kernel 4.13.6 or higher prevented the hang on "wlp4s0: failed to remove key" (although as mentioned the error still appears in the shutdown sequence).

Workaround #2

I also found that if I went into /etc/default/grub" and removed "quiet splash", i.e. change:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

to:

GRUB_CMDLINE_LINUX_DEFAULT=""

and then run:

sudo update-grub

and reboot the hang also goes away without any need to upgrade to a higher kernel version (i.e. this fix works with the latest pushed kernel:

Linux athens 4.13.0-16-generic #19-Ubuntu SMP

Liftoff (liftoff) wrote :

Workaround #2 from #17 (the grub config changes) fixed it for me on 4.13.0-16-generic. Thank you for sharing.

Syco Chihuahua (sycochihuahua) wrote :

The workaround of GRUB_CMDLINE_LINUX_DEFAULT="" worked for me as well. If I disable Wireless before reboot or shutdown this will also work.
my error was

wlo1 failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
wlo1 failed to remove key (2, ff:ff:ff:ff:ff:ff) from hardware (-22)

Wireless Intel 7265D Rev 200. iwlwifi-7265D-29.ucode
kernel 4.13.0-16-generic

Dylan Borg (borgdylan) wrote :

Using the stock 4.13.8 seems to work, but using the latest ubuntu kernel (with canonical patches) does not despite it being based on 4.13.8.

Dylan Borg (borgdylan) wrote :

Removing "quiet splash" from the parameters using the stock ubuntu kernel works as well. These disable the plymouth boot splash however.

Michael Kim (anthem231) wrote :

I too am having this problem with a fresh install of 17.10 onto a ASUS GL753 laptop. I tried both fixes above: updated to 4.13.12 and the workaround in #17 (editing grub). System will still neither restart nor power down without hanging.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
hhhgohn 7166 (hhhgohn) wrote :

I too am experiencing this issue. I would like to update the kernel to 4.13.6 but doing so makes me unable to get past the Ubuntu login screen. I guess I'll have to change /etc/default/grub as suggested in #17.

Eden Corbin (edencorbin) wrote :

I have the same problem. My ask ubuntu question was linked here.

Hamid Alaei (halaei) wrote :

I had similar issue when switching to virtual terminals. Workaround #2 from #17 works for me too.
I don't know if it is the expected behaviour, but now when I hit either ctrl+alt+F1 and ctr+alt+f2, the same graphical interface (not text consoles) will appear.

PJSingh5000 (pjsingh5000) wrote :

I still see this on shutdown with kernel 4.14.

    wlo1: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
    wlo1: failed to remove key (2, ff:ff:ff:ff:ff:ff) from hardware (-22)

$ uname -r
4.14.1-041401-generic

$ lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu 17.10
Release: 17.10
Codename: artful

amirreza (khaghani) wrote :

I still see this ...
What can I do?

wlo1: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)

no longer affects: plymouth
amirreza (khaghani) on 2017-11-27
Changed in linux (Ubuntu):
assignee: nobody → amirreza (khaghani)
assignee: amirreza (khaghani) → nobody
Dmitrii Shcherbakov (dmitriis) wrote :

I can confirm this behavior on 4.13 -> 4.15rc4 with Intel 9260NGW.

3b:00.0 Network controller: Intel Corporation Device 2526 (rev 29)
 Subsystem: Intel Corporation Device 0014
 Flags: bus master, fast devsel, latency 0, IRQ 17
 Memory at dd200000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [c8] Power Management version 3
 Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
 Capabilities: [40] Express Endpoint, MSI 00
 Capabilities: [80] MSI-X: Enable+ Count=16 Masked-
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [14c] Latency Tolerance Reporting
 Capabilities: [154] L1 PM Substates
 Kernel driver in use: iwlwifi
 Kernel modules: iwlwifi

Only happens when the adapter is disconnected. It is functional after a reconnect.

uname -r
4.15.0-041500rc4-generic

➜ ~ dmesg | grep -P 'firmware|iwlwifi|wlp59s0'
[ 2.197645] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_01.bin (v1.1)
[ 18.280244] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[ 18.282836] Bluetooth: hci0: Found device firmware: intel/ibt-18-16-1.sfi
[ 18.304357] platform regulatory.0: Direct firmware load for regulatory.db failed with error -2
[ 18.313635] iwlwifi 0000:3b:00.0: enabling device (0000 -> 0002)
[ 18.346079] iwlwifi 0000:3b:00.0: loaded firmware version 34.0.0 op_mode iwlmvm
[ 18.368702] iwlwifi 0000:3b:00.0: Detected Intel(R) Dual Band Wireless AC 9260, REV=0x324
[ 18.423757] iwlwifi 0000:3b:00.0: base HW address: <redacted>
[ 18.516593] iwlwifi 0000:3b:00.0 wlp59s0: renamed from wlan0
[ 19.474561] Bluetooth: hci0: Waiting for firmware download to complete
[ 21.961162] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 22.162515] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 22.376361] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 22.550022] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 182.737439] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 182.814300] wlp59s0: authenticate with <redacted>
[ 182.823878] wlp59s0: send auth to <redacted> (try 1/3)
[ 182.862803] wlp59s0: authenticated
[ 182.866749] wlp59s0: associate with <redacted> (try 1/3)
[ 182.869577] wlp59s0: RX AssocResp from <redacted> (capab=0x511 status=0 aid=34)
[ 182.871828] wlp59s0: associated
[ 182.979380] IPv6: ADDRCONF(NETDEV_CHANGE): wlp59s0: link becomes ready
[ 588.512073] wlp59s0: deauthenticating from <redacted> by local choice (Reason: 3=DEAUTH_LEAVING)
[ 588.522598] wlp59s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
[ 595.913221] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 596.006391] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 599.531660] IPv6: ADDRCONF(NETDEV_UP): wlp59s0: link is not ready
[ 599.591620] wlp59s0: authenticate with <redacted>
[ 599.598771] wlp59s0: send auth to <redacted> (try 1/3)
[ 599.637989] wlp59s0: authenticated
[ 599.640025] wlp59s0: associate with <redacted> (try 1/3)
[ 599.643170] wlp59s0: RX AssocResp from <redacted> (capab=0x511 status=0 aid=35)
[ 599.645843] wlp59s0: associated
[ 599.718402] IPv6: ADDRCONF(NETDEV_CHANGE): wlp59s0: link becomes ready

Genki Sky (genkisky) wrote :

I believe this issue is the same as the one I posted on the kernel bugzilla at https://bugzilla.kernel.org/show_bug.cgi?id=198357 . I found the commit that first causes the symptom, but it's not necessarily to blame... I mention two possible fixes but there's some missing information before it's clear to me which one is the best. The assignee was changed to <email address hidden> the day that I posted it, but it has received no updates since then.

Same problem here on Asus Zenbook UX550VE on Ubuntu daily build.

Same here on ThinkPad T460p running with 8260 intel card.

This should be fixed by this commit: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=e4f13ad07823b

Can be please be backported?

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in plymouth (Ubuntu):
status: Confirmed → Invalid
Kai-Heng Feng (kaihengfeng) wrote :

Both Artful and Bionic need this patch.

Kai-Heng Feng (kaihengfeng) wrote :

I built a kernel with the patch, please try it:
https://people.canonical.com/~khfeng/lp1720930/

Since I'm using this kernel I've not experienced this anymore, it's even true that it also depends on connecting to a "buggy" AP,

description: updated
Po-Hsu Lin (cypressyew) on 2018-06-01
Changed in linux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux (Ubuntu Artful):
status: New → Fix Committed
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in plymouth (Ubuntu Artful):
status: New → Invalid
Changed in plymouth (Ubuntu Bionic):
status: New → Invalid
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Dylan Borg (borgdylan) wrote :

I am using mailine kernels since reporting the bug. I can confirm that once I installed a stable released vanilla kernel that had that patch in it (I check Greg' shortlog before installing) I could notice the absence of the message. Please push the patch for users that do not take the time to use vanilla kernels.

Sandy Patterson (xandey) wrote :

I can confirm that I was seeing the message before installing proposed kernel for bionic

"kernel: wlp5s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)"

after updating to latest proposed
Linux version 4.15.0-24-generic (buildd@lgw01-amd64-056) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #26-Ubuntu SMP Wed Jun 13 08:44:47 UTC 2018 (Ubuntu 4.15.0-24.26-generic 4.15.18)

I no longer see the above message.

My hang on shutdown has been fixed for some time however.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.13.0-46.51

---------------
linux (4.13.0-46.51) artful; urgency=medium

  * linux: 4.13.0-46.51 -proposed tracker (LP: #1776333)

  * register on binfmt_misc may overflow and crash the system (LP: #1775856)
    - fs/binfmt_misc.c: do not allow offset overflow

  * CVE-2018-11508
    - compat: fix 4-byte infoleak via uninitialized struct field

  * rfi-flush: Switch to new linear fallback flush (LP: #1744173)
    - SAUCE: rfi-flush: Factor out init_fallback_flush()
    - SAUCE: rfi-flush: Move rfi_flush_fallback_area to end of paca
    - powerpc/64s: Improve RFI L1-D cache flush fallback
    - powerpc/rfi-flush: Make it possible to call setup_rfi_flush() again
    - powerpc/rfi-flush: Differentiate enabled and patched flush types
    - powerpc/rfi-flush: Call setup_rfi_flush() after LPM migration

  * Fix enabling bridge MMIO windows (LP: #1771344)
    - powerpc/eeh: Fix enabling bridge MMIO windows

  * CVE-2018-1130
    - dccp: check sk for closed state in dccp_sendmsg()

  * CVE-2018-7757
    - scsi: libsas: fix memory leak in sas_smp_get_phy_events()

  * cpum_sf: ensure sample freq is non-zero (LP: #1772593)
    - s390/cpum_sf: ensure sample frequency of perf event attributes is non-zero

  * wlp3s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-22)
    (LP: #1720930)
    - iwlwifi: mvm: fix "failed to remove key" message

  * CVE-2018-6927
    - futex: Prevent overflow by strengthen input validation

  * After update to 4.13-43 Intel Graphics are Laggy (LP: #1773520)
    - SAUCE: Revert "drm/i915/edp: Allow alternate fixed mode for eDP if
      available."

  * ELANPAD ELAN0612 does not work, patch available (LP: #1773509)
    - SAUCE: Input: elan_i2c - add ELAN0612 to the ACPI table

  * kernel backtrace when receiving large UDP packages (LP: #1772031)
    - iov_iter: fix page_copy_sane for compound pages

  * FS-Cache: Assertion failed: FS-Cache: 6 == 5 is false (LP: #1774336)
    - SAUCE: CacheFiles: fix a read_waiter/read_copier race

  * CVE-2018-5803
    - sctp: verify size of a new chunk in _sctp_make_chunk()

  * enable mic-mute hotkey and led on Lenovo M820z and M920z (LP: #1774306)
    - ALSA: hda/realtek - Enable mic-mute hotkey for several Lenovo AIOs

  * CVE-2018-7755
    - SAUCE: floppy: Do not copy a kernel pointer to user memory in FDGETPRM ioctl

  * CVE-2018-5750
    - ACPI: sbshc: remove raw pointer from printk() message

 -- Khalid Elmously <email address hidden> Mon, 11 Jun 2018 23:25:30 +0000

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (49.5 KiB)

This bug was fixed in the package linux - 4.15.0-24.26

---------------
linux (4.15.0-24.26) bionic; urgency=medium

  * linux: 4.15.0-24.26 -proposed tracker (LP: #1776338)

  * Bionic update: upstream stable patchset 2018-06-06 (LP: #1775483)
    - drm: bridge: dw-hdmi: Fix overflow workaround for Amlogic Meson GX SoCs
    - i40e: Fix attach VF to VM issue
    - tpm: cmd_ready command can be issued only after granting locality
    - tpm: tpm-interface: fix tpm_transmit/_cmd kdoc
    - tpm: add retry logic
    - Revert "ath10k: send (re)assoc peer command when NSS changed"
    - bonding: do not set slave_dev npinfo before slave_enable_netpoll in
      bond_enslave
    - ipv6: add RTA_TABLE and RTA_PREFSRC to rtm_ipv6_policy
    - ipv6: sr: fix NULL pointer dereference in seg6_do_srh_encap()- v4 pkts
    - KEYS: DNS: limit the length of option strings
    - l2tp: check sockaddr length in pppol2tp_connect()
    - net: validate attribute sizes in neigh_dump_table()
    - llc: delete timers synchronously in llc_sk_free()
    - tcp: don't read out-of-bounds opsize
    - net: af_packet: fix race in PACKET_{R|T}X_RING
    - tcp: md5: reject TCP_MD5SIG or TCP_MD5SIG_EXT on established sockets
    - net: fix deadlock while clearing neighbor proxy table
    - team: avoid adding twice the same option to the event list
    - net/smc: fix shutdown in state SMC_LISTEN
    - team: fix netconsole setup over team
    - packet: fix bitfield update race
    - tipc: add policy for TIPC_NLA_NET_ADDR
    - pppoe: check sockaddr length in pppoe_connect()
    - vlan: Fix reading memory beyond skb->tail in skb_vlan_tagged_multi
    - amd-xgbe: Add pre/post auto-negotiation phy hooks
    - sctp: do not check port in sctp_inet6_cmp_addr
    - amd-xgbe: Improve KR auto-negotiation and training
    - strparser: Do not call mod_delayed_work with a timeout of LONG_MAX
    - amd-xgbe: Only use the SFP supported transceiver signals
    - strparser: Fix incorrect strp->need_bytes value.
    - net: sched: ife: signal not finding metaid
    - tcp: clear tp->packets_out when purging write queue
    - net: sched: ife: handle malformed tlv length
    - net: sched: ife: check on metadata length
    - llc: hold llc_sap before release_sock()
    - llc: fix NULL pointer deref for SOCK_ZAPPED
    - net: ethernet: ti: cpsw: fix tx vlan priority mapping
    - virtio_net: split out ctrl buffer
    - virtio_net: fix adding vids on big-endian
    - KVM: s390: force bp isolation for VSIE
    - s390: correct module section names for expoline code revert
    - microblaze: Setup dependencies for ASM optimized lib functions
    - commoncap: Handle memory allocation failure.
    - scsi: mptsas: Disable WRITE SAME
    - cdrom: information leak in cdrom_ioctl_media_changed()
    - m68k/mac: Don't remap SWIM MMIO region
    - block/swim: Check drive type
    - block/swim: Don't log an error message for an invalid ioctl
    - block/swim: Remove extra put_disk() call from error path
    - block/swim: Rename macros to avoid inconsistent inverted logic
    - block/swim: Select appropriate drive on device open
    - block/swim: Fix array bounds check
    - block/swim: Fix IO error at end of medium
    -...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.